## org.biojava.bio.program.tagvalue
Interface StateMachine.State

All Known Implementing Classes:
  StateMachine.BasicState

Enclosing class:
  StateMachine

    public static interface StateMachine.State

Interface for a State within this StateMachine

Method Summary
`String` `getLabel()`
`TagValueListener` `getListener()`
`void` `transit(Object tag)`

Method Detail

### getLabel

    String getLabel()

### getListener

    TagValueListener getListener()

### transit

    void transit(Object tag)
                 throws ParserException

  Throws:
    `ParserException`